﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace LineSeries173907
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        ObservableCollection<SeriesData> obsvrColl = null;
        public MainPage()
        {
            this.InitializeComponent();
        
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

            LineSeries series1 = new LineSeries();
            obsvrColl = new ObservableCollection<SeriesData>();

            for (int i = 1; i <= 5; i++)
            {
                obsvrColl.Add(new SeriesData(i.ToString(), i * 100));
            }

            series1.ItemsSource = obsvrColl;
            series1.XBindingPath = "Year";
            series1.YBindingPath = "PortVal";
            chartGrowth.Series.Add(series1);
    
        }
    }

   public class SeriesData
    {
        public SeriesData(string year, double portVal)
        {
            Year = year;
            PortVal = portVal;
        }
        public string Year { get; set; }
        public double PortVal { get; set; }
    }
}
